summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--functions.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/functions.sh.in b/functions.sh.in
index 3e1840c..925dc43 100644
--- a/functions.sh.in
+++ b/functions.sh.in
@@ -71,7 +71,7 @@ readconfig() {
[ -f "$ABUILD_CONF" ] && . "$ABUILD_CONF"
[ -f "$ABUILD_USERCONF" ] && . "$ABUILD_USERCONF"
APORTSDIR=${_APORTSDIR-$APORTSDIR}
- gitbase=$(git rev-parse --show-toplevel 2>/dev/null) # already is -P
+ gitbase=$(git rev-parse --show-toplevel 2>/dev/null) || true # already is -P
if [ -d "$APORTSDIR" ]; then
APORTSDIR=$(cd "$APORTSDIR"; pwd -P)
elif [ -z "$APORTSDIR" ] && [ -d "$HOME/aports" ]; then